import stripe
def customer(email:str) :
    """
    This function returns a customer given an email
    """
    return stripe.Customer.search(query=f"email:'{email}'").data
def customers():
    """
    This function returns a list of customers (all customers)
    """
    _data = []
    customers = stripe.Customer.list(limit=100)
    for _customer in customers.auto_paging_iter() :
        _data.append(_customer)
    return _data

def product (_name):
    """
    returns a product given it's name
    """
    return stripe.Product.search(query=f"name:'{_name}'").data
def products():
    """
    return a list of products
    """
    _products =  stripe.Product.list(limit=100)
    return _products.auto_paging_iter()
def plans(_name:str):
    """retrieves plans for a given producti
    :_name name of the product
    """
    _prod = product(_name)
    _id = _prod[0]['id']
    return stripe.Price.search(query=f"product:'{_id}'").data
